Search knowledge base
curl --request POST \
--url https://api.conduit.ai/v1/kb/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "what time is checkout",
"max_results": 10
}
'import requests
url = "https://api.conduit.ai/v1/kb/search"
payload = {
"query": "what time is checkout",
"max_results": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'what time is checkout', max_results: 10})
};
fetch('https://api.conduit.ai/v1/kb/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"node_id": "<string>",
"chunk_id": "<string>",
"node_title": "<string>",
"chunk_text": "<string>",
"context": "<string>",
"chunk_index": 123,
"source": "<string>",
"relevance_score": 123
}
]
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Knowledge Base
Search Knowledge Base
Perform a semantic search across your entire knowledge base.
POST
/
v1
/
kb
/
search
Search knowledge base
Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Query Parameters
Workspace to query.
Example:
"j57demo8f8x7c9v0n2q4r6t8y1u3i5o"
Body
application/json
Response
Knowledge search results
Show child attributes
Show child attributes
Was this page helpful?
⌘I